Debian Bug report logs - #89222
ncurses-base: broken sgr entry in xterm-xfree86 (and xterm etc.)

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: amc@cs.berkeley.edu

Date: Sun, 11 Mar 2001 07:03:02 UTC

Severity: normal

Found in version 5.2-1

Fixed in version ncurses/5.2.20010310-1

Done: Daniel Jacobowitz <ncurses-maint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89222; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to amc@cs.berkeley.edu:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: amc@cs.berkeley.edu
To: submit@bugs.debian.org
Subject: ncurses-base: broken sgr entry in xterm-xfree86 (and xterm etc.)
Date: Sat, 10 Mar 2001 21:51:05 -0800
Package: ncurses-base
Version: 5.2-1
Severity: normal

The sgr entry in the terminfo data for xterm-xfree86 (on which the other
xterm* terminal types are based) begins:

    sgr=\E[0%?%p6%|%t;1...

The %| pops two things off the stack and ORs them, but at that point
there's only one thing on the stack (put there by the %p6).

The %| should be removed.

In case you're wondering how this bug arose, sgr used to begin:

    sgr=\E[0%?%p1%p6%|%t;1...

Back then, the %| was ORing the items pushed by %p1 and %p6.  This
caused "standout" to be bold (in addition to being inverse), which
was inconsistent with smso=\E[7m, which says that standout is simply
inverse.  So whoever removed the %p1 had the right idea, but forgot to
remove the %| as well.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux arwen 2.4.2 #8 SMP Fri Feb 23 21:40:35 GMT 2001 i686 unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89222; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 89222@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: amc@cs.berkeley.edu, 89222@bugs.debian.org
Subject: Re: Bug#89222: ncurses-base: broken sgr entry in xterm-xfree86 (and xterm etc.)
Date: Sun, 11 Mar 2001 06:52:57 -0500
On Sat, Mar 10, 2001 at 09:51:05PM -0800, amc@cs.berkeley.edu wrote:
> In case you're wondering how this bug arose, sgr used to begin:
> 
>     sgr=\E[0%?%p1%p6%|%t;1...
> 
> Back then, the %| was ORing the items pushed by %p1 and %p6.  This
> caused "standout" to be bold (in addition to being inverse), which
> was inconsistent with smso=\E[7m, which says that standout is simply
> inverse.  So whoever removed the %p1 had the right idea, but forgot to
> remove the %| as well.

looks like a copying error (on my part, most likely).
thanks - will check/see if there are other related cases.

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Reply sent to Daniel Jacobowitz <ncurses-maint@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to amc@cs.berkeley.edu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 89222-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <ncurses-maint@debian.org>
To: 89222-close@bugs.debian.org
Subject: Bug#89222: fixed in ncurses 5.2.20010310-1
Date: Thu, 15 Mar 2001 15:04:48 -0500
We believe that the bug you reported is fixed in the latest version of
ncurses, which has been installed in the Debian FTP archive:

ncurses_5.2.20010310-1.dsc
  to pool/main/n/ncurses/ncurses_5.2.20010310-1.dsc
ncurses-base_5.2.20010310-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.2.20010310-1_all.deb
ncurses_5.2.20010310-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.2.20010310-1.diff.gz
ncurses_5.2.20010310.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.2.20010310.orig.tar.gz
ncurses-bin_5.2.20010310-1_powerpc.deb
  to pool/main/n/ncurses/ncurses-bin_5.2.20010310-1_powerpc.deb
libncurses5_5.2.20010310-1_powerpc.deb
  to pool/main/n/ncurses/libncurses5_5.2.20010310-1_powerpc.deb
libncurses5-dbg_5.2.20010310-1_powerpc.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.2.20010310-1_powerpc.deb
libncurses5-dev_5.2.20010310-1_powerpc.deb
  to pool/main/n/ncurses/libncurses5-dev_5.2.20010310-1_powerpc.deb
ncurses-term_5.2.20010310-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.2.20010310-1_all.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 89222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <ncurses-maint@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 14 Mar 2001 17:22:37 -0500
Source: ncurses
Binary: libncurses5 libncurses5-dev ncurses-base ncurses-bin libncurses5-dbg ncurses-term
Architecture: source powerpc all
Version: 5.2.20010310-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 75783 83336 88966 89222 89643
Changes: 
 ncurses (5.2.20010310-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Fixes compatibility with newer GCC snapshots and with
       libstdc++ v3 (Closes: #75783, #83336).
   * Update priorities to match overrides:
     - dbg: optional -> extra
     - dev: standard -> optional
   * Fix dangling /usr/lib/libcurses.so symlink (Closes: #88966).
   * Tighten version requirement in shlibs file (Closes: #89643).
   * Remove superflous %| from xterm-xfree86 terminfo
     in debian/xterm.ti (Closes: #89222).
Files: 
 7c02bf68aadd0826df6ec101f7f7beea 706 libs standard ncurses_5.2.20010310-1.dsc
 6f6b7f978b0d34e24273cf8ab3637fbd 1806396 libs standard ncurses_5.2.20010310.orig.tar.gz
 4300bf7ddeb3fb929463f3b938c2dc8f 27356 libs standard ncurses_5.2.20010310-1.diff.gz
 e4449b0b1e9fe329efe75270480a5355 252610 base required libncurses5_5.2.20010310-1_powerpc.deb
 dbf063d3311da5b0fa57924a3d8ccab1 1105512 devel optional libncurses5-dev_5.2.20010310-1_powerpc.deb
 3da6af913504facf37c8a93bd14c24e4 1320752 devel extra libncurses5-dbg_5.2.20010310-1_powerpc.deb
 ab0c9f4ba2fbb256818aefe6b11cedbc 295334 base required ncurses-bin_5.2.20010310-1_powerpc.deb
 a1f690a2e67b88259776ebc8f9fb9e91 100990 base required ncurses-base_5.2.20010310-1_all.deb
 937166b3b6f19a904b775400cdf2652a 378498 admin standard ncurses-term_5.2.20010310-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6r/y3bgOPXuCjg3cRAt4dAJ9T3cmZ+lew9tbt/fHNm3+yBoFXTACbB4sF
/7eyqox/uBEiSHmwcT6kbPk=
=ddiZ
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:17:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.